package server;

import java.rmi.RMISecurityManager;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.rmi.server.UnicastRemoteObject;

import compute.*;

public class Server {
	
	public static void main(String[] args) {
		// vytvorime security managera
		// konfigurace je specifikovana bud pomoci -Djava.security.policy=file.policy
		if (System.getSecurityManager() == null)
			System.setSecurityManager(new RMISecurityManager());
		// jmeno nasi sluzby
		String name = "MathD";
		//String name2 = "MathD2";
		
		try {
			// vytvoreni samotneho objektu a jeho stubu
			MathServer msi = new MathServerImpl();
			
			MathServer stub =
                (MathServer) UnicastRemoteObject.exportObject(msi, 50000);
			//MathServer msi2 = new MathServerImpl2();
			
			// zaregistrovani jmena u objektu 
			Registry registry = LocateRegistry.createRegistry(2010);
			registry.rebind(name, stub);
			//registry.rebind(name2, msi2);
		}
		catch (Exception e) {
			//neco je spatne :(
			System.err.println("Data exception: " + e.getMessage());
		}
	}
}